set_property PACKAGE_PIN Y16 [get_ports {led_col_pl_o[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {led_col_pl_o[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {led_col_pl_o[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {led_col_pl_o[3]}]
set_property PACKAGE_PIN W15 [get_ports {led_col_pl_o[3]}]
set_property PACKAGE_PIN Y17 [get_ports led_line_en_pl_o]
set_property PACKAGE_PIN W20 [get_ports led_line_pl_o]
set_property PACKAGE_PIN Y18 [get_ports {led_col_pl_o[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {led_col_pl_o[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports led_line_en_pl_o]
set_property IOSTANDARD LVCMOS25 [get_ports led_line_pl_o]
set_property PACKAGE_PIN K11 [get_ports pb_gp_i]
set_property IOSTANDARD LVCMOS18 [get_ports pb_gp_i]
set_property PACKAGE_PIN Y15 [get_ports {led_col_pl_o[1]}]

set_property PACKAGE_PIN J14 [get_ports eeprom_sda]
set_property PACKAGE_PIN H14 [get_ports eeprom_scl]
set_property IOSTANDARD LVCMOS18 [get_ports eeprom_scl]
set_property IOSTANDARD LVCMOS18 [get_ports eeprom_sda]
set_property SLEW FAST [get_ports eeprom_scl]
set_property SLEW FAST [get_ports eeprom_sda]
set_property PACKAGE_PIN AD20 [get_ports fmcx_scl]
set_property PACKAGE_PIN AD21 [get_ports fmcx_sda]
set_property IOSTANDARD LVCMOS25 [get_ports fmcx_scl]
set_property IOSTANDARD LVCMOS25 [get_ports fmcx_sda]
set_property SLEW FAST [get_ports fmcx_sda]

## FMC1 positive
# 4 lines per pin, all but PACKAGE_PIN can be grouped though
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_P_b[*]}]
set_property SLEW SLOW [get_ports {FMC1_LA_P_b[*]}]
set_property PACKAGE_PIN AC14 [get_ports {FMC1_LA_P_b[0]}]
set_property PACKAGE_PIN AB15 [get_ports {FMC1_LA_P_b[1]}]
set_property PACKAGE_PIN AB12 [get_ports {FMC1_LA_P_b[3]}]
set_property PACKAGE_PIN Y10 [get_ports {FMC1_LA_P_b[4]}]
set_property PACKAGE_PIN W13 [get_ports {FMC1_LA_P_b[5]}]
set_property PACKAGE_PIN AF19 [get_ports {FMC1_LA_P_b[22]}]
set_property PACKAGE_PIN AD18 [get_ports {FMC1_LA_P_b[23]}]
set_property PACKAGE_PIN AE13 [get_ports {FMC1_LA_P_b[7]}]
set_property PACKAGE_PIN AE10 [get_ports {FMC1_LA_P_b[8]}]
set_property PACKAGE_PIN AE11 [get_ports {FMC1_LA_P_b[9]}]
set_property PACKAGE_PIN AC17 [get_ports {FMC1_LA_P_b[11]}]
set_property PACKAGE_PIN AA15 [get_ports {FMC1_LA_P_b[12]}]
set_property PACKAGE_PIN AF15 [get_ports {FMC1_LA_P_b[13]}]
set_property PACKAGE_PIN AD23 [get_ports {FMC1_LA_P_b[17]}]
set_property PACKAGE_PIN AC21 [get_ports {FMC1_LA_P_b[18]}]
set_property PACKAGE_PIN AE18 [get_ports {FMC1_LA_P_b[19]}]
set_property PACKAGE_PIN W18 [get_ports {FMC1_LA_P_b[20]}]
set_property PACKAGE_PIN AE22 [get_ports {FMC1_LA_P_b[21]}]
set_property PACKAGE_PIN AD25 [get_ports {FMC1_LA_P_b[24]}]
set_property PACKAGE_PIN AF24 [get_ports {FMC1_LA_P_b[26]}]
set_property PACKAGE_PIN AC18 [get_ports {FMC1_LA_P_b[29]}]
set_property PACKAGE_PIN AB21 [get_ports {FMC1_LA_P_b[30]}]
set_property PACKAGE_PIN AA20 [get_ports {FMC1_LA_P_b[31]}]
## FMC1 negative
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_N_b[*]}]
set_property SLEW SLOW [get_ports {FMC1_LA_N_b[*]}]
set_property PACKAGE_PIN AD14 [get_ports {FMC1_LA_N_b[0]}]
## FMC1 end

## FMC2 positive
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_P_b[*]}]
set_property SLEW SLOW [get_ports {FMC2_LA_P_b[*]}]
set_property PACKAGE_PIN M6 [get_ports {FMC2_LA_P_b[0]}]
set_property PACKAGE_PIN L5 [get_ports {FMC2_LA_P_b[1]}]
set_property PACKAGE_PIN G4 [get_ports {FMC2_LA_P_b[3]}]
set_property PACKAGE_PIN G6 [get_ports {FMC2_LA_P_b[23]}]
set_property PACKAGE_PIN G2 [get_ports {FMC2_LA_P_b[5]}]
set_property PACKAGE_PIN E2 [get_ports {FMC2_LA_P_b[6]}]
set_property PACKAGE_PIN H4 [get_ports {FMC2_LA_P_b[8]}]
set_property PACKAGE_PIN K2 [get_ports {FMC2_LA_P_b[10]}]
set_property PACKAGE_PIN K6 [get_ports {FMC2_LA_P_b[12]}]
set_property PACKAGE_PIN N3 [get_ports {FMC2_LA_P_b[14]}]
set_property PACKAGE_PIN M8 [get_ports {FMC2_LA_P_b[15]}]
set_property PACKAGE_PIN N1 [get_ports {FMC2_LA_P_b[16]}]
set_property PACKAGE_PIN F8 [get_ports {FMC2_LA_P_b[17]}]
set_property PACKAGE_PIN D6 [get_ports {FMC2_LA_P_b[18]}]
set_property PACKAGE_PIN A4 [get_ports {FMC2_LA_P_b[21]}]
set_property PACKAGE_PIN E6 [get_ports {FMC2_LA_P_b[24]}]
set_property PACKAGE_PIN F5 [get_ports {FMC2_LA_P_b[27]}]
set_property PACKAGE_PIN F9 [get_ports {FMC2_LA_P_b[29]}]
set_property PACKAGE_PIN B5 [get_ports {FMC2_LA_P_b[31]}]
set_property PACKAGE_PIN B10 [get_ports {FMC2_LA_P_b[32]}]
## FMC2 negative
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_N_b[*]}]
set_property SLEW SLOW [get_ports {FMC2_LA_N_b[*]}]
## FMC2 end


set_property PACKAGE_PIN AB14 [get_ports {FMC1_LA_N_b[1]}]
set_property PACKAGE_PIN AC11 [get_ports {FMC1_LA_N_b[3]}]
set_property PACKAGE_PIN AA10 [get_ports {FMC1_LA_N_b[4]}]
set_property PACKAGE_PIN Y13 [get_ports {FMC1_LA_N_b[5]}]
set_property PACKAGE_PIN AB10 [get_ports {FMC1_LA_N_b[6]}]
set_property PACKAGE_PIN AF13 [get_ports {FMC1_LA_N_b[7]}]
set_property PACKAGE_PIN AD10 [get_ports {FMC1_LA_N_b[8]}]
set_property PACKAGE_PIN AF10 [get_ports {FMC1_LA_N_b[9]}]
set_property PACKAGE_PIN AF12 [get_ports {FMC1_LA_N_b[10]}]
set_property PACKAGE_PIN AC16 [get_ports {FMC1_LA_N_b[11]}]
set_property PACKAGE_PIN AA14 [get_ports {FMC1_LA_N_b[12]}]
set_property PACKAGE_PIN AF14 [get_ports {FMC1_LA_N_b[13]}]
set_property PACKAGE_PIN AE15 [get_ports {FMC1_LA_N_b[14]}]
set_property PACKAGE_PIN AF17 [get_ports {FMC1_LA_N_b[15]}]
set_property PACKAGE_PIN AD15 [get_ports {FMC1_LA_N_b[16]}]
set_property PACKAGE_PIN AD24 [get_ports {FMC1_LA_N_b[17]}]
set_property PACKAGE_PIN AC22 [get_ports {FMC1_LA_N_b[18]}]
set_property PACKAGE_PIN AF18 [get_ports {FMC1_LA_N_b[19]}]
set_property PACKAGE_PIN W19 [get_ports {FMC1_LA_N_b[20]}]
set_property PACKAGE_PIN AF22 [get_ports {FMC1_LA_N_b[21]}]
set_property PACKAGE_PIN AF20 [get_ports {FMC1_LA_N_b[22]}]
set_property PACKAGE_PIN AD19 [get_ports {FMC1_LA_N_b[23]}]
set_property PACKAGE_PIN AD26 [get_ports {FMC1_LA_N_b[24]}]
set_property PACKAGE_PIN AE26 [get_ports {FMC1_LA_N_b[25]}]
set_property PACKAGE_PIN AF25 [get_ports {FMC1_LA_N_b[26]}]
set_property PACKAGE_PIN AF23 [get_ports {FMC1_LA_N_b[27]}]
set_property PACKAGE_PIN AC26 [get_ports {FMC1_LA_N_b[28]}]
set_property PACKAGE_PIN AC19 [get_ports {FMC1_LA_N_b[29]}]
set_property PACKAGE_PIN AB22 [get_ports {FMC1_LA_N_b[30]}]
set_property PACKAGE_PIN AB20 [get_ports {FMC1_LA_N_b[31]}]
set_property PACKAGE_PIN AA23 [get_ports {FMC1_LA_N_b[32]}]
set_property PACKAGE_PIN AB25 [get_ports {FMC1_LA_N_b[33]}]
set_property PACKAGE_PIN AA25 [get_ports {FMC1_LA_P_b[33]}]
set_property PACKAGE_PIN AB11 [get_ports {FMC1_LA_P_b[6]}]
set_property PACKAGE_PIN AE12 [get_ports {FMC1_LA_P_b[10]}]
set_property PACKAGE_PIN AE16 [get_ports {FMC1_LA_P_b[14]}]
set_property PACKAGE_PIN AE17 [get_ports {FMC1_LA_P_b[15]}]
set_property PACKAGE_PIN AD16 [get_ports {FMC1_LA_P_b[16]}]
set_property PACKAGE_PIN AE25 [get_ports {FMC1_LA_P_b[25]}]
set_property PACKAGE_PIN AE23 [get_ports {FMC1_LA_P_b[27]}]
set_property PACKAGE_PIN AB26 [get_ports {FMC1_LA_P_b[28]}]
set_property PACKAGE_PIN AA22 [get_ports {FMC1_LA_P_b[32]}]
set_property PACKAGE_PIN A8 [get_ports {FMC2_LA_N_b[33]}]
set_property PACKAGE_PIN A10 [get_ports {FMC2_LA_N_b[32]}]
set_property PACKAGE_PIN B4 [get_ports {FMC2_LA_N_b[31]}]
set_property PACKAGE_PIN A5 [get_ports {FMC2_LA_N_b[30]}]
set_property PACKAGE_PIN E8 [get_ports {FMC2_LA_N_b[29]}]
set_property PACKAGE_PIN E5 [get_ports {FMC2_LA_N_b[27]}]
set_property PACKAGE_PIN J9 [get_ports {FMC2_LA_N_b[26]}]
set_property PACKAGE_PIN H11 [get_ports {FMC2_LA_N_b[25]}]
set_property PACKAGE_PIN D5 [get_ports {FMC2_LA_N_b[24]}]
set_property PACKAGE_PIN G5 [get_ports {FMC2_LA_N_b[23]}]
set_property PACKAGE_PIN H6 [get_ports {FMC2_LA_N_b[22]}]
set_property PACKAGE_PIN A3 [get_ports {FMC2_LA_N_b[21]}]
set_property PACKAGE_PIN B1 [get_ports {FMC2_LA_N_b[20]}]
set_property PACKAGE_PIN A2 [get_ports {FMC2_LA_N_b[19]}]
set_property PACKAGE_PIN C6 [get_ports {FMC2_LA_N_b[18]}]
set_property PACKAGE_PIN E7 [get_ports {FMC2_LA_N_b[17]}]
set_property PACKAGE_PIN M1 [get_ports {FMC2_LA_N_b[16]}]
set_property PACKAGE_PIN L8 [get_ports {FMC2_LA_N_b[15]}]
set_property PACKAGE_PIN N2 [get_ports {FMC2_LA_N_b[14]}]
set_property PACKAGE_PIN L2 [get_ports {FMC2_LA_N_b[13]}]
set_property PACKAGE_PIN J6 [get_ports {FMC2_LA_N_b[12]}]
set_property PACKAGE_PIN M4 [get_ports {FMC2_LA_N_b[11]}]
set_property PACKAGE_PIN K1 [get_ports {FMC2_LA_N_b[10]}]
set_property PACKAGE_PIN H1 [get_ports {FMC2_LA_N_b[9]}]
set_property PACKAGE_PIN H3 [get_ports {FMC2_LA_N_b[8]}]
set_property PACKAGE_PIN G1 [get_ports {FMC2_LA_N_b[7]}]
set_property PACKAGE_PIN E1 [get_ports {FMC2_LA_N_b[6]}]
set_property PACKAGE_PIN F2 [get_ports {FMC2_LA_N_b[5]}]
set_property PACKAGE_PIN C1 [get_ports {FMC2_LA_N_b[4]}]
set_property PACKAGE_PIN F4 [get_ports {FMC2_LA_N_b[3]}]
set_property PACKAGE_PIN L4 [get_ports {FMC2_LA_N_b[1]}]
set_property PACKAGE_PIN M5 [get_ports {FMC2_LA_N_b[0]}]
set_property PACKAGE_PIN A9 [get_ports {FMC2_LA_P_b[33]}]
set_property PACKAGE_PIN B6 [get_ports {FMC2_LA_P_b[30]}]
set_property PACKAGE_PIN J10 [get_ports {FMC2_LA_P_b[26]}]
set_property PACKAGE_PIN J11 [get_ports {FMC2_LA_P_b[25]}]
set_property PACKAGE_PIN H7 [get_ports {FMC2_LA_P_b[22]}]
set_property PACKAGE_PIN C2 [get_ports {FMC2_LA_P_b[20]}]
set_property PACKAGE_PIN B2 [get_ports {FMC2_LA_P_b[19]}]
set_property PACKAGE_PIN M2 [get_ports {FMC2_LA_P_b[13]}]
set_property PACKAGE_PIN N4 [get_ports {FMC2_LA_P_b[11]}]
set_property PACKAGE_PIN J1 [get_ports {FMC2_LA_P_b[9]}]
set_property PACKAGE_PIN H2 [get_ports {FMC2_LA_P_b[7]}]
set_property PACKAGE_PIN D1 [get_ports {FMC2_LA_P_b[4]}]
set_property PACKAGE_PIN D8 [get_ports {FMC2_LA_N_b[28]}]

set_property PACKAGE_PIN AD13 [get_ports FMC1_CLK0C2M_N_o]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_CLK0C2M_N_o]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_CLK0C2M_P_o]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_CLK0M2C_N_i]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_CLK0M2C_P_i]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_PRSNTM2C_n_i]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_CLK0C2M_N_o]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_CLK0C2M_P_o]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_CLK0M2C_N_i]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_PRSNTM2C_n_i]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_CLK0M2C_P_i]
set_property PACKAGE_PIN AC13 [get_ports FMC1_CLK0C2M_P_o]
set_property PACKAGE_PIN AD11 [get_ports FMC1_CLK0M2C_N_i]
set_property PACKAGE_PIN AC12 [get_ports FMC1_CLK0M2C_P_i]
set_property PACKAGE_PIN AA13 [get_ports FMC1_PRSNTM2C_n_i]
set_property PACKAGE_PIN J3 [get_ports FMC2_CLK0C2M_N_o]
set_property PACKAGE_PIN J4 [get_ports FMC2_CLK0C2M_P_o]
set_property PACKAGE_PIN K3 [get_ports FMC2_CLK0M2C_N_i]
set_property PACKAGE_PIN L3 [get_ports FMC2_CLK0M2C_P_i]
set_property PACKAGE_PIN F3 [get_ports FMC2_PRSNTM2C_n_i]
set_property PACKAGE_PIN AC23 [get_ports osc100_clk_i]
set_property IOSTANDARD LVCMOS25 [get_ports osc100_clk_i]

set_property PACKAGE_PIN Y12 [get_ports fmc1_scl_vadj]
set_property PACKAGE_PIN Y11 [get_ports fmc1_sda_vadj]
set_property PACKAGE_PIN D4 [get_ports fmc2_scl_vadj]
set_property PACKAGE_PIN D3 [get_ports fmc2_sda_vadj]
set_property IOSTANDARD LVCMOS18 [get_ports fmc2_scl_vadj]
set_property IOSTANDARD LVCMOS18 [get_ports fmc2_sda_vadj]
set_property IOSTANDARD LVCMOS25 [get_ports fmc1_scl_vadj]
set_property IOSTANDARD LVCMOS25 [get_ports fmc1_sda_vadj]

set_property PACKAGE_PIN K5 [get_ports {FMC2_LA_P_b[2]}]
set_property PACKAGE_PIN J5 [get_ports {FMC2_LA_N_b[2]}]
set_property PACKAGE_PIN AB17 [get_ports {FMC1_LA_P_b[2]}]
set_property PACKAGE_PIN AB16 [get_ports {FMC1_LA_N_b[2]}]

set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[0]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[10]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[11]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[12]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[13]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[14]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[15]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[16]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[17]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[18]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[19]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[1]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[20]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[21]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[22]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[23]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[24]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[25]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[26]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[27]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[28]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[29]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[2]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[30]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[31]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[32]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[33]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[3]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[4]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[5]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[6]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[7]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[8]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_N_b[9]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[0]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[10]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[11]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[12]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[13]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[14]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[15]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[16]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[17]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[18]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[19]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[1]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[20]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[21]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[22]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[23]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[24]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[25]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[26]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[27]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[28]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[29]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[2]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[30]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[31]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[32]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[33]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[3]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[4]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[5]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[6]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[7]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[8]]
set_property OFFCHIP_TERM NONE [get_ports FMC1_LA_P_b[9]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[0]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[10]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[11]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[12]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[13]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[14]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[15]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[16]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[17]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[18]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[19]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[1]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[20]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[21]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[22]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[23]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[24]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[25]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[26]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[27]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[28]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[29]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[2]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[30]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[31]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[32]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[33]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[3]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[4]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[5]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[6]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[7]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[8]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_N_b[9]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[0]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[10]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[11]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[12]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[13]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[14]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[15]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[16]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[17]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[18]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[19]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[1]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[20]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[21]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[22]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[23]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[24]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[25]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[26]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[27]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[28]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[29]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[2]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[30]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[31]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[32]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[33]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[3]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[4]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[5]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[6]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[7]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[8]]
set_property OFFCHIP_TERM NONE [get_ports FMC2_LA_P_b[9]]
set_property PACKAGE_PIN D9 [get_ports {FMC2_LA_P_b[28]}]
